QXmppMucManager Class Reference
Managers

The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-0045: Multi-User Chat. More...

`#include <QXmppMucManager.h>`

Inheritance diagram for QXmppMucManager:

List of all members.

## Signals

void | invitationReceived (const QString &roomJid, const QString &inviter, const QString &reason)

## Public Member Functions

| QXmppMucManager ()
| Constructs a new QXmppMucManager.
| ~QXmppMucManager ()
| Destroys a QXmppMucManager.
QXmppMucRoom * | addRoom (const QString &roomJid)

## Detailed Description

The QXmppMucManager class makes it possible to interact with multi-user chat rooms as defined by XEP-0045: Multi-User Chat.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

     QXmppMucManager *manager = new QXmppMucManager;
     client->addExtension(manager);

You can then join a room as follows:

     QXmppMucRoom *room = manager->addRoom("room@conference.example.com");
     room->setNickName("mynick");
     room->join();

## Member Function Documentation

QXmppMucRoom * QXmppMucManager::addRoom | ( | const QString & | roomJid | ) |

Adds the given chat room to the set of managed rooms.

Parameters:

  roomJid |

void QXmppMucManager::invitationReceived | ( | const QString & | roomJid,
|  | const QString & | inviter,
|  | const QString & | reason
| ) |  | `[signal]`

This signal is emitted when an invitation to a chat room is received.

The documentation for this class was generated from the following files:

- QXmppMucManager.h
- QXmppMucManager.cpp

All Classes Functions Enumerations Enumerator Properties